<?php
namespace Claromentis\People\Validator;

$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] ?: array()) + array("_a7fdbac2a6d0" . "ebb5bb8ea569e" . "8173d7b" => base64_decode("IiBmb3I" . "gZGF0ZS" . "BmaWVsZ" . "CA="), "_fa96cdf58bf" . "f3b0695fb2bc" . "0803d7b12" => base64_decode("IGRvZXM" . "gbm90IG" . "V4aXN0"), "_d013620d" . "4b36b1d03" . "509cbeff3" . "1bbdb9" => base64_decode("IiBnaXZlbi" . "Bmb3IgbnVt" . "ZXJpYyBmaW" . "VsZCA="), "_2cb499b451eb718f841aaa78dc70" . "cc52" => base64_decode("IiBmb3IgZGF0ZS10aW" . "1lIGZpZWxkIA=="), "_d155d43a39de9" . "3f858123c6b6ce" . "31d8a" => base64_decode("cHJlZ" . "19tYX" . "RjaA=" . "="), "_ac927f4168510971a59508f1f08c" . "f98a" => base64_decode("L15cZH" . "s4fSQv"), "_3aec16c1aa2104da778e412207d6c41" . "5" => base64_decode("L15cZHsxNH18XGR7" . "OH0kLw=="), "_bd71c3b5c201fc11db82ed14ce424" . "de5" => base64_decode("aW5fYX" . "JyYXk="), "_27ba77e349cbe144e8794d0c0497" . "a106" => base64_decode("IiBnaXZlbiBmb3Igc2" . "VsZWN0IGZpZWxkIA=="), "_dc99f29eb97c274b4" . "e47f6701fb2d842" => base64_decode("TWV0YWRh" . "dGEgZmll" . "bGQg"), "_66a6b98e1f1601e30de10feb" . "344fcdb6" => base64_decode("SW52YWxpZCB2Y" . "Wx1ZSAi"), "_535e3fcb3f" . "5d89c525bb6" . "18a08cc8dcc" => base64_decode("LiBWYWx1ZSBtdXN0IGJlIGVpd" . "GhlciBhIGRvY3VtZW50IElEIG" . "9yIGEgZG9jdW1lbnQgb2JqZWN" . "0"), "_62d701c3c53404f" . "06345eb35720a47b" . "4" => base64_decode("aXNfbn" . "VtZXJp" . "Yw=="), "_a827c5bc10b" . "88ccab760d95" . "c58bfbeaa" => base64_decode("Q291bGQgbm90I" . "HBhcnNlIHZhbH" . "VlICI="), "_bb26699a673" . "361ff7c17444" . "a2a82deba" => base64_decode("SW52YWxpZCB2YWx1ZSBnaXZl" . "biBmb3IgZG9jdW1lbnQgbGlu" . "ayBmaWVsZCA="), "_4b4a03dbe69a4c39db014b" . "e2875a7313" => base64_decode("Tm9uLW51bWVyaWM" . "gdmFsdWUgIg=="));
use Claromentis\People\Exception\ValidationException;
use Claromentis\People\Repository\UserRepository;
class MetadataValidator
{
    protected $user_repository;
    public function __construct(UserRepository $_eeeeb0d673b7b0fd0bdca58b5541c3e0)
    {
        $this->user_repository = $_eeeeb0d673b7b0fd0bdca58b5541c3e0;
    }
    
    
    
    
    
    
    
    public function Validate(int $_8bd60f167b34bb2f633dd93934749b67, array $values) : array
    {
        $_cd32cee6e5836ae05dc7b722f2ec21e9 = new \MetaDataSet($_8bd60f167b34bb2f633dd93934749b67);
        $_cd32cee6e5836ae05dc7b722f2ec21e9->LoadAllFields();
        $output = [];
        foreach ($values as $key => $value) {
            $field = $_cd32cee6e5836ae05dc7b722f2ec21e9->GetMetaFieldByName($key);
            if ($field === false) {
                throw new ValidationException($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_dc99f29eb97c274b4e" . "47f6701fb2d842"] . $key . $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_fa96cdf58bff3b0695" . "fb2bc0803d7b12"]);
            }
            switch ($field->GetMetaType()) {
                case META_TYPE_TEXT:
                case META_TYPE_DEFAULT:
                    break;
                case META_TYPE_INT:
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_62d701c3c53404f06" . "345eb35720a47b4"]($value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_4b4a03dbe69a4c39db014be287" . "5a7313"] . $value . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_d013620d4b36b1d03509cbeff31bbdb" . "9"] . $key);
                    }
                    break;
                case META_TYPE_DATETIME:
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_d155d43a39de93f858123c6" . "b6ce31d8a"]($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_3aec16c1aa2104da778e" . "412207d6c415"], $value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_a827c5bc10b88ccab760d95c58bfbea" . "a"] . $value . $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_2cb499b451eb7" . "18f841aaa78dc7" . "0cc52"] . $key);
                    }
                    break;
                case META_TYPE_SELECT:
                    $field->values->Load();
                    $_4d67cdd33a7358d7cc3b5e51df410bbb = $field->values->GetAllValues();
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_bd71c3b5c201fc11db82ed1" . "4ce424de5"]($value, $_4d67cdd33a7358d7cc3b5e51df410bbb)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_66a6b98e1f1601e30de10feb344fc" . "db6"] . $value . $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_27ba77e349cbe144e8794d0c0497a10" . "6"] . $key);
                    }
                    break;
                case META_TYPE_CHECK:
                    break;
                case META_TYPE_DOCLINK:
                    if (!$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_62d701c3c5" . "3404f06345e" . "b35720a47b4"]($value) && !$value instanceof \ERMSDocument && !$value instanceof \Claromentis\Core\Metadata\Type\DocumentObject) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_bb26699a673361ff7c1744" . "4a2a82deba"] . $key . $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_535e3fcb3f5d89c525bb6" . "18a08cc8dcc"]);
                    }
                    break;
                case META_TYPE_LINK:
                    break;
                case META_TYPE_USER:
                    break;
                case META_TYPE_DATE:
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_d155d43a39de93f8581" . "23c6b6ce31d8a"]($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_ac927f4168510971a59508f1f08cf9" . "8a"], $value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_a827c5bc1" . "0b88ccab76" . "0d95c58bfb" . "eaa"] . $value . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_a7fdbac2a6d0ebb5bb8ea569e8173d" . "7b"] . $key);
                    }
                    break;
                case META_TYPE_SPECIAL:
                    break;
                case META_TYPE_FILE:
                    break;
                case META_TYPE_ADDRESS:
                    break;
                case META_TYPE_MULTISELECT:
                    break;
                case META_TYPE_DATE_NO_YEAR:
                    break;
                case META_TYPE_IMAGE:
                    break;
            }
            $output[$key] = $value;
        }
    }
}